Mono.Parallel 4.0.0.0 System.Object Provide a volatile bool reference type and a set of Interlocked method to modify it. This type can be safely passed around.
- Constructor
  4.0.0.0
  To be added.
  To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. Same behavior than To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. Same behavior than To be added. To be added.
- Method
  4.0.0.0
  Mono.Threading.AtomicBoolean `` To be added. Provide a static facility method for creating new AtomicBoolean value initialized with specific boolean. To be added. To be added.
- Method
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  Mono.Threading.AtomicBoolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean Try to atomically change the value from false to true. To be added. This method is lighter than in the case the AtomicBoolean is already set to true because it first uses a normal read to check the value.
- Method
  4.0.0.0
  System.Boolean Try to atomically change the value from false to true. To be added. This method is essentially a shortand for `!AtomicBoolean.Exchange (true)'
- Property
  4.0.0.0
  System.Boolean The boolean value represented by this instance. To be added. To be added.